Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetRemoteFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.GetRemoteFile

Enclosing class:
  TdApi

public static final class TdApi.GetRemoteFile extends TdApi.Function<TdApi.File>
Returns information about a file by its remote ID; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.FileType`
`fileType`
File type; pass null if unknown.
`String`
`remoteFileId`
Remote identifier of the file to get.

## Constructor Summary

Constructors
Constructor
Description
`GetRemoteFile()`
Returns information about a file by its remote ID; this is an offline request.
`GetRemoteFile(DataInput input)`
Returns information about a file by its remote ID; this is an offline request.
`GetRemoteFile(String remoteFileId, TdApi.FileType fileType)`
Returns information about a file by its remote ID; this is an offline request.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### remoteFileId

public String remoteFileId
Remote identifier of the file to get.

### fileType

public TdApi.FileType fileType
File type; pass null if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetRemoteFile

public GetRemoteFile()
Returns information about a file by its remote ID; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

Returns `File`

### GetRemoteFile

public GetRemoteFile(String remoteFileId, TdApi.FileType fileType)
Returns information about a file by its remote ID; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

Returns `File`

Parameters:
  `remoteFileId` - String Remote identifier of the file to get.
  `fileType` - FileType File type; pass null if unknown.

### GetRemoteFile

public GetRemoteFile(DataInput input) throws IOException
Returns information about a file by its remote ID; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message. Even the request succeeds, the file can be used only if it is still accessible to the user. For example, if the file is from a message, then the message must be not deleted and accessible to the user. If the file database is disabled, then the corresponding object with the file must be preloaded by the application.

Returns `File`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`